/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { IOverlayProxy_$type } from "./IOverlayProxy";
import { Base, markType, getInstanceType } from "igniteui-react-core/ES2015/type";
import { stringEndsWith } from "igniteui-react-core/ES2015/string";
export class OverlayProxy extends Base {
    matchesType(a) {
        if (stringEndsWith(getInstanceType(a).typeName, "Overlay")) {
            return true;
        }
        return false;
    }
    setCloseMemberPath(a, b) {
        a.ny = b;
    }
    setHighMemberPath(a, b) {
        a.n1 = b;
    }
    setLowMemberPath(a, b) {
        a.n6 = b;
    }
    setMultiplier(a, b) {
        if (getInstanceType(a).typeName == "BollingerBandsOverlay") {
            let s_ = a;
            let p_ = b;
            s_['multiplier'] = p_;
        }
    }
    setOpenMemberPath(a, b) {
        a.oa = b;
    }
    setVolumeMemberPath(a, b) {
        a.oe = b;
    }
    setXAxis(a, b) {
        a.lw = b;
    }
    setYAxis(a, b) {
        a.mg = b;
    }
}
OverlayProxy.$t = markType(OverlayProxy, 'OverlayProxy', Base.$, [IOverlayProxy_$type]);
